Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.models.discrete.inhomogeneous
Enum StructureLearner.ModelType

    java.lang.Object
      java.lang.Enum<StructureLearner.ModelType>
          de.jstacs.models.discrete.inhomogeneous.StructureLearner.ModelType

All Implemented Interfaces:
  Serializable, Comparable<StructureLearner.ModelType>

Enclosing class:
  StructureLearner

    public static enum StructureLearner.ModelType

extends Enum<StructureLearner.ModelType>

This `enum` defines the different types of models that can be learned with the `StructureLearner`.

Author:
  Jens Keilwagen

Enum Constant Summary
`BN` This value indicates that the model should compute a Bayesian network (BN).
`IMM` This value indicates that the model is an inhomogeneous Markov model (iMM).
`PMM` This value indicates that the model should compute a permuted Markov model (pMM).

Method Summary
`static StructureLearner.ModelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StructureLearner.ModelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMM

    public static final StructureLearner.ModelType IMM

  This value indicates that the model is an inhomogeneous Markov model (iMM).

### PMM

    public static final StructureLearner.ModelType PMM

  This value indicates that the model should compute a permuted Markov model (pMM).

### BN

    public static final StructureLearner.ModelType BN

  This value indicates that the model should compute a Bayesian network (BN).

Method Detail

### values

    public static final StructureLearner.ModelType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StructureLearner.ModelType c : StructureLearner.ModelType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StructureLearner.ModelType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD